cmake_minimum_required(VERSION 3.15)

project(libmonoformat CXX)
enable_testing()

find_package(Catch2 REQUIRED)

option(BUILD_CLI_VIS "Build CLI visualization tool" FALSE)

add_subdirectory(src)
add_subdirectory(test)
if(${BUILD_CLI_VIS})
    add_subdirectory(clivis)
endif()
